<?php

namespace Modules\Accounts\Enums;

enum PeriodTypeEnum: string
{
    case MONTHLY = 'monthly';
    case QUARTERLY = 'quarterly';
    case YEAR_END = 'year_end';

    public static function casesAsArray(): array
    {
        return array_map(fn(self $case) => $case->value, self::cases());
    }
}
